Skip to main content
POST
/
email
/
domains
Create Email Domain
curl --request POST \
  --url https://api.getoutbox.ai/email/domains/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "domain": "<string>",
  "company": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "dns_records": "<unknown>",
  "verification_details": "<unknown>",
  "is_default": true,
  "is_deleted": true,
  "verified_at": "2023-11-07T05:31:56Z",
  "created_at": "2023-11-07T05:31:56Z",
  "connection": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "domain": "<string>",
  "updated_at": "2023-11-07T05:31:56Z",
  "company": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "dns_records": "<unknown>",
  "verification_details": "<unknown>",
  "is_default": true,
  "is_deleted": true,
  "verified_at": "2023-11-07T05:31:56Z",
  "created_at": "2023-11-07T05:31:56Z",
  "connection": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

domain
string
required
Required string length: 1 - 255
company
string<uuid>
required
status
enum<string>
  • pending - Pending
  • verified - Verified
  • failed - Failed
Available options:
pending,
verified,
failed
dns_records
any
verification_details
any
is_default
boolean
is_deleted
boolean
verified_at
string<date-time> | null
created_at
string<date-time>
connection
string<uuid> | null

Response

id
string<uuid>
required
read-only
domain
string
required
Maximum string length: 255
updated_at
string<date-time>
required
read-only
company
string<uuid>
required
status
enum<string>
  • pending - Pending
  • verified - Verified
  • failed - Failed
Available options:
pending,
verified,
failed
dns_records
any
verification_details
any
is_default
boolean
is_deleted
boolean
verified_at
string<date-time> | null
created_at
string<date-time>
connection
string<uuid> | null